Subject: RE: Help! - cron problem
From: "cyg win" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 23 May 2002 22:19:45 +0000

Thank you again, but no good. Same error message.
This is interesting..
Am I the only person who can't get it run? :-)
Is there anyone who has this experience??
Thank you.

James.

>From: "Harig, Mark A." <[email-masked]>
>To: "cyg win" <[email-masked]>
>Subject: RE: Help! - cron problem
>Date: Thu, 23 May 2002 17:44:48 -0400
>
>Near the end of cygwin's installation, it runs several scripts.  One of
>them is /etc/postinstall/cron.sh.done:
>
>------------------------------
>#!/bin/sh
>
>set -x
>
>if [ ! -d /var/cron ]
>then
>   mkdir -p /var/cron
>fi
>chmod 1777 /var/cron
>
>if [ ! -d /var/cron/tabs ]
>then
>   mkdir /var/cron/tabs
>fi
>chmod 1777 /var/cron/tabs
>-------------------------------
>
>You might want to delete your /var/cron directory tree and re-run
>/etc/postinstall/cron.sh.done:
>
>    $ rm -rf /var/cron
>    $ /etc/postinstall/cron.sh.done
>    $ ls -lR /var/cron
>
>Then try:
>
>    $ cygrunsrv -E cron  # stop any running cron daemon/service
>    $ cygrunsrv -R cron  # remove any cron daemon/service
>    $ cygrunsrv -I cron -p /usr/sbin/cron -a -D  # install a cron daemon
>    $ cygrunsrv -S cron  # start a cron daemon/service
>
> > -----Original Message-----
> > From: cyg win [mailto:[email-masked]]
> > Sent: Thursday, May 23, 2002 3:07 PM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: RE: Help! - cron problem
> >
> >
> >
> > Thank you for your kind reply.
> > Unfortunately, it didn't work out.
> >
> > After I installed the service by
> >      $ cygrunsrv -I cron -p /usr/sbin/cron -a -D
> > I ran
> >     $ cygrunsrv -S cron
> > it generates
> >
> > $ cygrunsrv -S cron
> > cygrunsrv: Error starting a service: QueryServiceStatus:
> > Win32 error 1062:
> > The service has not been started.
> >
> > I got this same error when I worked with '$ net start cron'.
> > My Win2K professional has been working fine,
> > and I freshly installed 'cygwin', this is the first deamon
> > I'm working on,
> > so what's the problem?
> >
> > Thank you.
> >
> > James.
> >
> >
> >
> > >From: "Harig, Mark A." <[email-masked]>
> > >To: <[email-masked]>
> > >Subject: RE: Help! - cron problem
> > >Date: Thu, 23 May 2002 13:13:14 -0400
> > >
> > >You might try starting your cron daemon using cygrunsrv
> > instead of 'net
> > >start cron':
> > >
> > >    $ cygrunsrv -S cron
> > >
> > >/usr/doc/Cygwin/cygrunsrv.README has more details.
> > >
> > >I have cron and sshd servers running on Win2K and WinNT without any
> > >problems.
> > >
> > > > -----Original Message-----
> > > > From: cyg win [mailto:[email-masked]]
> > > > Sent: Thursday, May 23, 2002 11:43 AM
> > > > To: [email-masked]
> > > > Cc: [email-masked]
> > > > Subject: Help! - cron problem
> > > >
> > > >
> > > >
> > > >
> > > > I'm trying to run cron daemon,
> > > > but when I run it, I got an error
> > > >
> > > >    "cron error
> > > >     cron.exe has generated errors and will be closed by windows.
> > > >     You will need to restart the program.
> > > >     An error log is being created."
> > > >
> > > > My system is Win2k professional, and I installed all
> > cygwin package,
> > > > that's it. This is the first daemon I'm trying to run.
> > > > The way I run the daemon is
> > > >
> > > >     $ cygrunsrv -I cron -p /usr/sbin/cron -a -D
> > > > or
> > > >     $ net start cron
> > > >
> > > > what could be the problem??
> > > > (And where can I find 'error log'?)
> > > >
> > > > Thank you.
> > > >
> > > >
> > > >
> > > >
> > > >
> > > >
> > > >
> > > > _________________________________________________________________
> > > > Join the world's largest e-mail service with MSN Hotmail.
> > > > http://www.hotmail.com
> > > >
> > > >
> > > > --
> > > > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > > > Bug reporting:         http://cygwin.com/bugs.html
> > > > Documentation:         http://cygwin.com/docs.html
> > > > FAQ:                   http://cygwin.com/faq/
> > > >
> > > >
> >
> >
> >
> >
> > _________________________________________________________________
> > Chat with friends online, try MSN Messenger: http://messenger.msn.com
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
> >

_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/